Subject: Re: bug#23831: 25.0.95; face Info-quoted is not displayed on Redhat 6.6

From: [email-masked] (H. Dieter Wilhelm)
Date: Fri, 24 Jun 2016 18:23:20 +0200

Glenn Morris <[email-masked]> writes:

> Eli Zaretskii wrote:
>
>>> I'm calling from "emacs -Q" the info system with `C-h i' and any
>>> character in Info between quotes are just displayed with a rectangular
>>> box.  I'm compiling Emacs on an elderly RHEL at work.  What can I do to
>>> enable Emacs to display the info files in a readable way?
>>
>> I think you want to customize the variable 'text-quoting-style'.
>
> That doesn't make any difference to this issue.

That is true.

What I found strange is though that it also didn't change the actual
quoting characters in my *info* buffer, do I have to restart Emacs for
t-q-s to take effect?

> This does:
> (eval-after-load "info" '(copy-face 'default 'Info-quoted))

That is also true. :-)

Thanks a lot!

       Dieter

>
> One final try to repeat my comments from bug#19889 and 22207:
>
>
> Viewing Info files is an important part of Emacs. I think it is a
> mistake to break the rendering of them in this way, even if it's only on
> a small fraction of systems, for the sake of a very minor (and IMO
> arguable; cf http://debbugs.gnu.org/19889#115: "an ugly font") cosmetic
> improvement on the rest.
>
> Please make Info-quoted face inherit from either default or
> font-lock-string (on emacs-25, the situation is somewhat better on
> master).
>

-- 
Best wishes
H. Dieter Wilhelm
Kelkheim, Germany